import 'package:account/src/core/domain/repositories/account_repository.dart';
import 'package:legacy_shared/src/data/models/entities/device_entity.dart';
import 'package:account/src/features/linked_devices/domain/get_linked_devices_use_case.dart';

class GetLinkedDevicesUseCaseImpl implements GetLinkedDevicesUseCase {
  GetLinkedDevicesUseCaseImpl(this._repository);

  final AccountRepository _repository;

  @override
  Future<List<DeviceEntity>> getLinkedDevices({required String userId}) {
    return _repository.getLinkedDevices(userId: userId);
  }
}
